#
# spec file for package yubico-piv-tool
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define soname  1

Name:           yubico-piv-tool
Version:        0.1.6
Release:        5.2
Summary:        Yubico YubiKey NEO CCID Manager
License:        GPL-3.0+
Group:          Productivity/Networking/Security
Url:            https://developers.yubico.com/
Source0:        https://developers.yubico.com/yubico-piv-tool/Releases/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  pkg-config
BuildRequires:  libtool
BuildRequires:  pcsc-lite-devel
BuildRequires:  pkgconfig(openssl) 
Requires:       libykpiv%{soname} = %{version}


%description
This is a command line tool to interact with the PIV applet on a YubiKey NEO. 
Among other functions it supports, generating keys on device, importing keys 
and certificates and creating certificate requests.

%package     -n libykpiv%{soname}
Summary:        Yubikey NEO PIV applet library
Group:          Productivity/Networking/Security

%description -n libykpiv%{soname}
This is a low-level library to interact the PIV applet on a YubiKey NEO 

%package     -n libykpiv-devel
Summary:        Development files for Yubikey NEO PIV applet library
Group:          Development/Libraries/C and C++
Requires:       libykpiv%{soname} = %{version}

%description -n libykpiv-devel
This package contains the header file needed to develop applications that use
Yubikey NEO PIV applet library.

%prep
%setup -q 

%build
%configure --enable-static=no --with-backend=pcsc
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{__make} %{?_smp_mflags}

%install
%{__make} install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
%{__rm} -rf %{buildroot}/%{_libdir}/*.la

%post -n libykpiv%{soname} -p /sbin/ldconfig

%postun -n libykpiv%{soname} -p /sbin/ldconfig

%files 
%defattr(-,root,root)
%doc COPYING NEWS ChangeLog README
%{_bindir}/%{name}
%{_mandir}/man1/*

%files -n libykpiv%{soname}
%defattr(-,root,root)
%{_libdir}/libykpiv.so.%{soname}
%{_libdir}/libykpiv.so.%{soname}.0.4

%files -n libykpiv-devel
%defattr(-,root,root)
%dir %{_includedir}/ykpiv/
%{_includedir}/ykpiv/*
%{_libdir}/libykpiv.so
%{_libdir}/pkgconfig/ykpiv.pc

%changelog
* Mon Apr 27 2015 cdenicolo@suse.com
- license update: GPL-3.0+
  COPYING files says package is under GPL-3.0+.
* Thu Mar 26 2015 t.gruner@katodev.de
- Version 0.1.6 (released 2015-03-23)
    Add a read-certificate action to the tool.
    Add a status action to the tool.
    Fix a library bug so NULL can be passed to ykpiv_verify()
    Add a test-signature action to the tool.
* Mon Feb  9 2015 t.gruner@katodev.de
- Version 0.1.5 (released 2015-02-04)
    Revert the check for parity and just set parity before the weak check.
* Tue Feb  3 2015 t.gruner@katodev.de
- Version 0.1.4 (released 2015-02-02)
    Prompt for input if input is stdin.
    Mark all bits of the signature as used is certs and requests.
    Correct error for unblock-pin.
    Fix hex decode to decode capital letters and return error.
    Check parity of new management keys.
* Fri Jan 23 2015 t.gruner@katodev.de
- Version 0.1.3 (released 2014-12-18)
    Add format DER for importing certificates.
    Make sure diagnostic feedback ends up on stderr.
    Add positive feedback for a couple of actions.
- Version 0.1.2 (released 2014-11-14)
    Fix an issue where shorter component of RSA keys where not packed correctly.
- Version 0.1.1 (released 2014-11-10)
    Correct broken CHUID that made windows work inconsistently.
    Add support for compressed certificates.
    Fix broken unblock-pin action.
    Don’t try to accept to short keys for mgm key.
    Only do applet authentication if needed.
    Add --hash for selecting what hash to use for signatures.
    Add hidden --sign command. Should probably not be used.
    Fix for signature algorithm in selfsigned cert.
- Version 0.1.0 (released 2014-08-25)
    Break out functionality into a library.
    More testing.
- Version 0.0.3 (released 2014-05-26)
  Add delete-certificate action.
  Fix minor bugs.
- Version 0.0.2 (released 2014-02-19)
    Fix an offset bug with CHUID.
    Do full mutual auth with the applet.
- Version 0.0.1 (released 2014-02-11)
    Initial release.
